Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 225359 - [gcc-4.3] net-nntp/klibido-0.2.5 fails to compile with gcc-4.3
Summary: [gcc-4.3] net-nntp/klibido-0.2.5 fails to compile with gcc-4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-06-08 14:16 UTC by Marek Miller
Modified: 2008-06-09 12:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
klibido-0.2.5-gcc43.patch (klibido-0.2.5-gcc43.patch,2.19 KB, patch)
2008-06-08 14:17 UTC, Marek Miller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Miller 2008-06-08 14:16:34 UTC
Again missing headers.

Steps to reproduce:
1. USE="arts debug xinerama" emerge -v1 =net-nntp/klibido-0.2.5

The error messages:
1. 
> grouplist.cpp: In member function 'void GroupList::slotCompactDbs()':
> grouplist.cpp:812: error: 'exit' was not declared in this scope
> grouplist.cpp:831: error: 'free' was not declared in this scope

2.
> newsgroup.cpp: In member function 'void NewsGroup::validate()':
> newsgroup.cpp:480: error: 'free' was not declared in this scope


My emerge --info:
---------------------------
Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.3.0, glibc-2.6.1-r0, 2.6.24.21-markowy i686)
=================================================================
System uname: 2.6.24.21-markowy i686 Intel(R) Celeron(R) M processor 1.60GHz
Timestamp of tree: Sat, 07 Jun 2008 10:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1ebuild klibido-0.2.5.ebuild manifest
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer -g -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d /usr/X11R6/bin/startx"
CXXFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer -g -ggdb"
DISTDIR="/tmp/portage/distfiles"
FEATURES="ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/"
LANG="pl"
LINGUAS="pl en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp/portage/tmpdir"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl bash-completion berkdb bzip2 cli cracklib crypt dri fortran gcj gd gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly objc openmp pam pcre perl pppd python readline reflection session spl ssl tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl en" USERLAND="GNU" VIDEO_CARDS="vga i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

---------------------
I extended the patch found in:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417316
Comment 1 Marek Miller 2008-06-08 14:17:17 UTC
Created attachment 155949 [details, diff]
klibido-0.2.5-gcc43.patch
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-09 12:03:08 UTC
Thanks, fixed.